<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.job Class Hierarchy
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.job Class Hierarchy";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/jbase/util/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/jsmat/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/job/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package ch.javasoft.job
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/AbstractJob.html" title="class in ch.javasoft.job"><B>AbstractJob</B></A>&lt;R&gt; (implements ch.javasoft.job.<A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;R&gt;, ch.javasoft.job.<A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;R&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/PipeJob.html" title="class in ch.javasoft.job"><B>PipeJob</B></A></UL>
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/AbstractJobProcessor.html" title="class in ch.javasoft.job"><B>AbstractJobProcessor</B></A>&lt;JR,R,J&gt; (implements ch.javasoft.job.<A HREF="../../../ch/javasoft/job/JobProcessor.html" title="interface in ch.javasoft.job">JobProcessor</A>&lt;JR,R,J&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/CurrentThreadJobProcessor.html" title="class in ch.javasoft.job"><B>CurrentThreadJobProcessor</B></A>&lt;R&gt;<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/ExecJobProcessor.html" title="class in ch.javasoft.job"><B>ExecJobProcessor</B></A><LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/NewThreadJobProcessor.html" title="class in ch.javasoft.job"><B>NewThreadJobProcessor</B></A>&lt;R&gt;</UL>
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><B>ExecJob</B></A> (implements ch.javasoft.job.<A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;R&gt;, ch.javasoft.job.<A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;R&gt;)
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job"><B>ExecJobMonitor</B></A> (implements ch.javasoft.job.<A HREF="../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;R&gt;)
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/Executables.html" title="class in ch.javasoft.job"><B>Executables</B></A>&lt;R&gt;<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/Jobs.html" title="class in ch.javasoft.job"><B>Jobs</B></A>&lt;R&gt;<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/MultiJobExecutable.html" title="class in ch.javasoft.job"><B>MultiJobExecutable</B></A>&lt;R&gt; (implements ch.javasoft.job.<A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;R&gt;)
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang"><B>Throwable</B></A> (implements java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Exception.html" title="class or interface in java.lang"><B>Exception</B></A><UL>
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/ExecException.html" title="class in ch.javasoft.job"><B>ExecException</B></A><UL>
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/ExitValueException.html" title="class in ch.javasoft.job"><B>ExitValueException</B></A><LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/StdErrNonEmptyException.html" title="class in ch.javasoft.job"><B>StdErrNonEmptyException</B></A></UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/RuntimeException.html" title="class or interface in java.lang"><B>RuntimeException</B></A><UL>
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/UncaughtJobTerminationHandlerException.html" title="class in ch.javasoft.job"><B>UncaughtJobTerminationHandlerException</B></A></UL>
</UL>
</UL>
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job"><B>Executable</B></A>&lt;R&gt;<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><B>Job</B></A>&lt;R&gt;<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job"><B>JobMonitor</B></A>&lt;R&gt;<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/JobProcessor.html" title="interface in ch.javasoft.job"><B>JobProcessor</B></A>&lt;JR,R,J&gt;<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job"><B>JobResult</B></A>&lt;R&gt;<LI TYPE="circle">ch.javasoft.job.<A HREF="../../../ch/javasoft/job/JobTerminationHandler.html" title="interface in ch.javasoft.job"><B>JobTerminationHandler</B></A>&lt;R&gt;</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/jbase/util/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/jsmat/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/job/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
